Opened 6 years ago

Closed 6 years ago

Last modified 6 years ago

#7025 closed Bug/Something is broken (fixed)

Hard errors when deleting hosting orders on attucks.mayfirst.org

Reported by: https://id.mayfirst.org/srevilak Owned by: https://id.mayfirst.org/ross
Priority: Low Component: Tech
Keywords: hard-error Cc:
Sensitive: no

Description

Hi all. I'm trying to remove the rest of occupyboston's attucks hosting orders. They're all gone, with the exception of two, which experienced hard errors during delete.

Error 1: web.occupyboston.org

On web.occupyboston.org (attucks, disabled), the hard error occurred in the "Web Configuration" section of red. The error is

    Error! 2011-12-08 13:10:00 Failed apache check syntax command! There is probably a typo or other mistake in your apache settings. Output: apache2: bad user name occubos.
    Error! 2011-12-08 14:39:33 Failed apache check syntax command! There is probably a typo or other mistake in your apache settings. Output: apache2: bad user name occubos.
    Error! 2011-12-08 14:48:06 Failed apache check syntax command! There is probably a typo or other mistake in your apache settings. Output: Syntax error on line 12 of /home/members/occupyboston/sites/web.occupyboston.org/.red/apache2/apache.conf: Invalid command 'FCGIWrapper', perhaps misspelled or defined by a module not included in the server configuration.
    Error! 2013-03-27 20:36:15 Unable to delete /home/members/occupyboston/sites/web.occupyboston.org/web
    Error! 2013-03-27 20:41:52 You cannot delete a record that is already deleted or has a status set to error or pending. Please wait until the status changes to make your change. If the status is set to soft-error, please read the error message and re-edit your record to fix it. Then, if you want, you can delete it. If the status is set to hard-error please notify support.

Error 2: wiki2.occupyboston.org

On wiki2.occupyboston.org (attucks, disabled) the hard-error occured in the "web configuration" section. The error is

    Error! 2012-09-27 20:44:57 Please use the wild card (*) instead of the shared IP for your host.
    Error! 2013-03-27 20:39:07 Unable to delete /home/members/occupyboston/sites/wiki2.occupyboston.org/web
    Error! 2013-03-27 20:49:53 You cannot delete a record that is already deleted or has a status set to error or pending. Please wait until the status changes to make your change. If the status is set to soft-error, please read the error message and re-edit your record to fix it. Then, if you want, you can delete it. If the status is set to hard-error please notify support.

I've manually removed the contents of each hosting order's "web" directory, but I'll need help in clearing the hard error.

Change History (3)

comment:1 Changed 6 years ago by https://id.mayfirst.org/ross

  • Owner set to https://id.mayfirst.org/ross
  • Status changed from new to assigned

Hi Steve,

I've fixed both of these issues and removed the hosting orders.

~/ross

comment:2 Changed 6 years ago by https://id.mayfirst.org/ross

  • Resolution set to fixed
  • Status changed from assigned to closed

comment:3 Changed 6 years ago by https://id.mayfirst.org/dkg

i just accidentally re-executed the following command as root@hay in the seso database, from the mysql_history (i blame my fingers or a bug in readline or something comparably impossible):

update red_item set item_status = 'pending-delete' where item_id = 81490;

the consensus on IRC seems to be that this isn't a problem, but i just wanted to note my goof here in case it comes up later.

Please login to add comments to this ticket.

Note: See TracTickets for help on using tickets.